<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2010 - Digiteo - Vincent LIARD
 *
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook"
          xmlns:scilab="http://www.scilab.org" xml:id="TMPDIR" xml:lang="ru">
    <refnamediv>
        <refname>TMPDIR</refname>
        <refpurpose>путь до временной директории</refpurpose>
    </refnamediv>
    <refsection>
        <title>Описание</title>
        <para>
            Неизменная переменная <literal>TMPDIR</literal> хранит абсолютный путь до временной
            директории сессии Scilab'а. Каждая сессия Scilab'а имеет свою собственную временную
            директорию, которая создаётся и на которую ссылается <literal>TMPDIR</literal>
            во время запуска Scilab'а. Временная директория удаляется при закрытии Scilab'а.
        </para>
        <para>
            Временные директории создаются в виде поддиректорий системной временной директории
            и получают имя <literal>SCI_TMP_</literal>&lt;unique&gt;, где
            &lt;unique&gt; - некоторый номер, формируемый при запуске Scilab для того, чтобы
            имя было уникальным. Под GNU/Linux, UNIX и Mac OS X права доступа к директории ограничены
            для пользователя Scilab'а.
        </para>
        <para>
            Неизменная переменная <literal>TMPDIR</literal> не может быть изменена во время работы
            Scilab'а. Однако, под GNU/Linux, UNIX и Mac OS X системная временная директория (обычно
            <literal>/tmp</literal>) может быть выбрана через изменение системной переменной
            <literal>TMPDIR</literal>.
        </para>
        <note>
          <literal>TMPDIR</literal> может использоваться как общая временная директория без
          привязки к какой-либо Scilab-сессии.
        </note>
    </refsection>
    <refsection>
        <title>Примеры</title>
        <programlisting role="example"><![CDATA[
ls TMPDIR
ls(TMPDIR)
cd(TMPDIR)
        ]]></programlisting>
    </refsection>
    <refsection role="see also">
        <title>Смотрите также</title>
        <simplelist type="inline">
            <member>
                <link linkend="tempname">tempname</link>
            </member>
            <member>
                <link linkend="home">home</link>
            </member>
            <member>
                <link linkend="SCIHOME">SCIHOME</link>
            </member>
            <member>
                <link linkend="SCI">SCI</link>
            </member>
        </simplelist>
    </refsection>
</refentry>
